package AnyEvent::ProcessPool::Pipe;
# ABSTRACT: (not finished)
$AnyEvent::ProcessPool::Pipe::VERSION = '0.01';
use strict;
use warnings;
use AnyEvent;
use AnyEvent::ProcessPool;

sub pool (%) {
  my %param = @_;
  my $in    = delete $param{in};
  my $out   = delete $param{out};
  my $pool  = AnyEvent::ProcessPool->new(%param);

  while (defined(my $task = $in->())) {
  }
}

sub in  (&) { return (in  => $_[0]) }
sub out (&) { return (out => $_[0]) }


1;

__END__

=pod

=encoding UTF-8

=head1 NAME

AnyEvent::ProcessPool::Pipe - (not finished)

=head1 VERSION

version 0.01

=head1 AUTHOR

Jeff Ober <sysread@fastmail.fm>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2017 by Jeff Ober.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
